#
# spec file for package cairo-dock-plugins.
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments on andrea@links2linux.de
#

# norootforbuild

%define packagename cairo-dock

Name:		%{packagename}-plugins
Version:	2.3.0
Release:	3.pm.12.1

Summary:	Cairo-dock is a small simple but effective docklet like Mac
License:	GPL
URL:		http://www.glx-dock.org/
Group:		System/GUI/GNOME

Source0: %{name}-%{version}~3.tar.gz

BuildRoot: %{_tmppath}/%{packagename}-%{version}-%{release}-root

Requires: %{packagename} = %{version}
Requires: %{name}-lang

BuildRequires:	cairo-dock-devel fdupes
BuildRequires:	alsa-devel glib-sharp2 gnome-vfs2-devel gvfs-devel
BuildRequires:	libdbusmenu-qt-devel libetpan-devel libexif-devel libical-devel
BuildRequires:	libsensors4-devel libwebkitgtk-devel libxklavier-devel
BuildRequires:	mono-devel ndesk-dbus-glib-devel python-devel ruby-devel
BuildRequires:	thunar-vfs-devel vala-devel vte-devel


%description
That package provides plugins for %{packagename}

%package lang
Summary: That package provides plugins for %{packagename}
Group: System/GUI/GNOME
Requires: %{packagename} = %{version}

%description lang
That package provides translation for all the plugins

%package gnome-integration
Summary: That package provides plugins for %{packagename}
Group: System/GUI/GNOME
Requires: %{packagename} = %{version}

%description gnome-integration
That package provides DE specific integration plugins

%package xfce-integration
Summary: That package provides plugins for %{packagename}
Group: System/GUI/GNOME
Requires: %{packagename} = %{version}

%description xfce-integration
That package provides DE specific integration plugins

%package kde-integration
Summary: That package provides plugins for %{packagename}
Group: System/GUI/KDE
Requires: %{packagename} = %{version}

%description kde-integration
That package provides DE specific integration plugins

%prep
%setup -q -n %name-%version~3
%__sed -i -e "s|2.3.0~3|2.3.0-3|g" CMakeLists.txt
%__sed -i -e "s|lib/ruby/|%{_lib}/ruby/|g" CMakeLists.txt
%__sed -i -e "s|--prefix=|--root=%{buildroot} --prefix=|g" Dbus/interfaces/python/PythonInstall.cmake.in


%build
%__mkdir build
pushd build
	cmake \
		-DCMAKE_INSTALL_PREFIX=%{_prefix} \
		%if %{_lib} == lib64
		-DFORCE_LIB64=yes \
		-DLIB_SUFFIX=64 \
		%endif
	..
%__make %{?jobs:-j%{jobs}}
popd


%install
pushd build
	%makeinstall
popd

%find_lang %{name}

%fdupes -s %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%__rm -fr %{buildroot}

%files
%defattr(-,root,root)
%dir %{_datadir}/cairo-dock/plug-ins
%dir %{_libdir}/cairo-dock
%{_libdir}/cairo-dock/libcd-*.so
%{_libdir}/libCDApplet.so
%{_libdir}/pkgconfig/CDApplet.pc
%{_datadir}/cairo-dock/plug-ins/*
%dir %{_datadir}/vala-0.10/
%dir %{_datadir}/vala-0.10/vapi
%{_datadir}/vala-0.10/vapi/*
%dir /usr/lib/cli
/usr/lib/cli/CDApplet.dll
%{_libdir}/ruby/1.8/CDApplet.rb
%{python_sitelib}/CDApplet*

%files lang -f %{name}.lang
%defattr(-,root,root)

%files gnome-integration
%defattr(-,root,root)
%{_libdir}/cairo-dock/libcd_gnome-integration.*

%files xfce-integration
%defattr(-,root,root)
%{_libdir}/cairo-dock/libcd_xfce-integration.*

%files kde-integration
%defattr(-,root,root)
%{_libdir}/cairo-dock/libcd_kde-integration.*


%changelog
* Sun Jun 26 2011 detlef@links2linux.de
- new upstream version 2.3.0-3
* Mon May  2 2011 detlef@links2linux.de
- new upstream version 2.3.0-1
* Thu Mar 18 2010 andrea@links2linux.de
- new upstream version 2.1.3
* Sun Nov 22 2009 andrea@links2linux.de
- new upstream version 2.1.1
* Tue Jul  7 2009 andrea@links2linux.de
- new upstream version 2.0.7
* Thu Jun 18 2009 andrea@links2linux.de
- new upstream version 2.0.5
* Tue May 26 2009 andrea@links2linux.de
- new upstream version 2.0.3
* Sun May 10 2009 andrea@links2linux.de
- new upstream version 2.0.0
- made spec file easier to maintain, all plugins merged in a single rpm
* Sun Dec  7 2008 andrea@links2linux.de
- upgraded to version v1.6.3.1
* Sun Nov  9 2008 andrea@links2linux.de
- upgraded to version 20081109 v1.6.3
- added Clipper plugin
* Wed Sep 10 2008 andrea@links2linux.de
- upgraded to version 20080910 v1.6.2.3
* Fri Aug 29 2008 andrea@links2linux.de
- upgraded to version 20080828 v1.6.2.1
- re-added plugins slider and stack
- plugins file moved to /usr/share/cairo-dock/plug-ins/<plugin-name>
* Fri Jun 20 2008 andrea@links2linux.de
- upgraded to version 20080619 v1.6.0.2
* Sun Jun  1 2008 andrea@links2linux.de
- upgraded to version 20080528 v1.5.6
- added new plugin:
  - nVidia
- now plugins weblets and gnome-integration built on suse 11
- all "files" section fixed, because all files have a different path
- removed all devel packages, no more required
- added lang package
* Thu May  8 2008 andrea@links2linux.de
- upgraded to version 20080506
* Thu May  1 2008 andrea@links2linux.de
- upgraded to version 20080501
* Sat Apr 26 2008 andrea@opensuse.org
- upgraded to version 20080426
- added 5 new plugins with devels:
  - cpusage
  - gauge-test
  - slider (not build, make fail)
  - stacks
  - weblets (not build, missing dependencies)
- added better descriptions for plugins
* Thu Apr 24 2008 andrea@opensuse.org
- upgraded to version 20080424
* Wed Apr  9 2008 andrea@links2linux.de
- upgraded to version 20080408
- added 3 new plugins with devels:
  - dbus
  - compiz-icon
  - showDesktop
* Sun Apr  6 2008 andrea@links2linux.de
- upgraded to version 20080406
* Thu Apr  3 2008 andrea@links2linux.de
- upgraded to version 20080403
- added new plugins with devels:
  - netspeed
  - rame
  - switcher
- changed tag _showDesklets to _show now plugin showDesklet build
* Sun Mar 23 2008 andrea@links2linux.de
- upgraded to version 20080318
- removed template patch..that's no a plugin
  but a template to create a new one. ^_^
- added new plugins with devels:
  - alsa
  - penguin
  - mail
  - tomboy
  - showdesklet
  - wifi
  - xmms
  - xfce
* Mon Mar  3 2008 andrea@links2linux.de
- fixed Gnome-Integration trigger, it was ignored and the plugin
  wasn't built.
- added better descriptions for plugins
* Fri Feb 29 2008 andrea@links2linux.de
- upgraded to version 20080227
- added a new plugin with devel:
  - weather
- added patch to fix autoreconf and makefile for plugin "template"
- added %%run_ldconfig to any plugin package
* Sun Feb 10 2008 andrea@links2linux.de
- upgraded to version 20080209
- removed package cairo-dock-filemanger and his "devel"
- added six new plugins with devels:
  - gnome-integration
  - powermanager
  - shortcuts
  - systray
  - template
  - Xgamma
* Sat Jan 19 2008 andrea@links2linux.de
- First spec making
